package core;

import java.io.File;

import settings.Settings;

public class Engine {
	public static final String NAME = "JSubViewer v0.1";
	
	private static Preset currentPreset;
	private static Settings settings;
	
	public static Preset getCurrentPreset() {
		return currentPreset;
	}
	
	public static void setCurrentPreset( Preset preset ) {
		currentPreset = preset;
	}
	public static void setCurrentPreset( File file ) {
		Preset newPreset = getPresetFromFile( file );
		currentPreset = newPreset;
	}
	
	public static Preset getPresetFromFile( File file ) {
		return new PresetParser( file ).parse();
	}
	
	public static Settings getSettings() {
		return settings;
	}
	
	public static void readSettings() {
		settings = Settings.read();
	}
	
	public static void resetSettings() {
		settings = new Settings();
	}
	
	public static void saveSettings() {
		Settings.write( settings );
	}
}
