package mainview;

import java.io.File;

import javax.swing.JFileChooser;
import javax.swing.filechooser.FileFilter;

import core.Engine;

public class PresetFileChooser extends JFileChooser {
	private static final long serialVersionUID = 1L;
	
	private MainView parent;
	private File currentFile;
	
	public PresetFileChooser( MainView parent ) {
		super( Engine.getSettings().getLastFileLocation() );
		this.parent = parent;
		setFileFilter( new FileFilter() {
			@Override
			public boolean accept( File file ) {
				return file.isDirectory() || file.getName().endsWith( ".svp" );
			}

			@Override
			public String getDescription() {
				return "*.svp";
			}
			
		});
	}
	
	public File open() {
		int result = showOpenDialog( parent );
		if( result == JFileChooser.APPROVE_OPTION ) {
			currentFile = getSelectedFile();
			Engine.getSettings().setLastFileLocation( currentFile.getAbsolutePath() );
		} else
			currentFile = null;
		return getCurrentFile();
	}
	
	public File getCurrentFile() {
		return currentFile;
	}
}
